From 01248929c4806944f7fbc0fcbffb0656472848d3 Mon Sep 17 00:00:00 2001
From: Sean Whitton <spwhitton@spwhitton.name>
Date: Sun, 26 Aug 2018 09:13:27 -0700
Subject: [PATCH 1/3] dgit-maint-debrebase(7): demote "Inspecting the history"

Signed-off-by: Sean Whitton <spwhitton@spwhitton.name>
---
 dgit-maint-debrebase.7.pod | 94 +++++++++++++++++++++++-----------------------
 1 file changed, 47 insertions(+), 47 deletions(-)

diff --git a/dgit-maint-debrebase.7.pod b/dgit-maint-debrebase.7.pod
index b4330f9..675e2f3 100644
--- a/dgit-maint-debrebase.7.pod
+++ b/dgit-maint-debrebase.7.pod
@@ -458,53 +458,6 @@ Note that this will introduce a new pseudomerge.
 After dgit pushing, be sure to git push to B<salsa.debian.org>, if
 you're using that.
 
-=head1 INSPECTING THE HISTORY
-
-The git history made by git-debrebase can seem complicated.
-Here are some suggestions for helpful invocations of gitk and git.
-They can be adapted for other tools like tig, git log, etc.
-
-=over
-
-=item History of package in Debian (disregarding history from upstream):
-
-    % gitk --first-parent
-
-In a laundered branch, the delta queue is at the top.
-
-=item History of the packaging (excluding the delta queue)
-
-    % gitk :/debian :!/debian/patches
-
-=item Just the delta queue (ie, Debian's changes to upstream):
-
-    % gitk --first-parent -- :/ :!/debian
-
-=item Full history including old versions of the delta queue:
-
-    % gitk --date-order
-
-The "Declare fast forward" commits you see have an older history
-(usually, an older delta queue) as one parent,
-and a newer history as the other.
---date-order makes gitk show the delta queues in the right order.
-
-=item Show complete diff since the last upload:
-
-    % git diff dgit/dgit/sid..HEAD -- :/ :!/debian/patches
-(Includes changes to upstream files.)
-
-=item Interdiff of delta queue since last upload, if you really want that:
-
-    % git debrebase make-patches
-    % git diff dgit/dgit/sid..HEAD -- debian/patches
-
-=back
-
-Also of course there is
-
-    % git debrebase status
-
 =head1 HANDLING DFSG-NON-FREE MATERIAL
 
 =head2 Illegal material
@@ -670,6 +623,53 @@ avoids introducing a new origin commit into your git history.  (This
 origin commit would represent the most recent non-dgit upload of the
 package, but this should already be represented in your git history.)
 
+=head2 Inspecting the history
+
+The git history made by git-debrebase can seem complicated.
+Here are some suggestions for helpful invocations of gitk and git.
+They can be adapted for other tools like tig, git log, etc.
+
+=over
+
+=item History of package in Debian (disregarding history from upstream):
+
+    % gitk --first-parent
+
+In a laundered branch, the delta queue is at the top.
+
+=item History of the packaging (excluding the delta queue)
+
+    % gitk :/debian :!/debian/patches
+
+=item Just the delta queue (ie, Debian's changes to upstream):
+
+    % gitk --first-parent -- :/ :!/debian
+
+=item Full history including old versions of the delta queue:
+
+    % gitk --date-order
+
+The "Declare fast forward" commits you see have an older history
+(usually, an older delta queue) as one parent,
+and a newer history as the other.
+--date-order makes gitk show the delta queues in the right order.
+
+=item Show complete diff since the last upload:
+
+    % git diff dgit/dgit/sid..HEAD -- :/ :!/debian/patches
+(Includes changes to upstream files.)
+
+=item Interdiff of delta queue since last upload, if you really want that:
+
+    % git debrebase make-patches
+    % git diff dgit/dgit/sid..HEAD -- debian/patches
+
+=back
+
+Also of course there is
+
+    % git debrebase status
+
 =head2 Alternative ways to start a debrebase
 
 Above we started an interactive debrebase by invoking git-debrebase(1)
-- 
2.11.0

